VirtualDub 1.10

Оценить:
VirtualDub 1.10


Версия 1.10.2 теперь на SourceForge, и добавляет несколько функций при закреплении ряда регрессий. Одна из новых функций является то, что теперь вы можете переместить программу относительной файлов, например, список вакансий и расположение аварийного дампа, в профиле пользователя. Одной из причин, я не сделал этого раньше, что я на самом деле никогда не выпустила версию VirtualDub, что установлены в Program Files - он всегда был портативный почтовый выпуск.. Проблема в том, другим людям упакованы в инсталляторов, которые сделали на уровне системы установки вместо пользователями локальной установки, или еще хуже, сами пользователи скопировали их в Program Files. VirtualDub теперь поддерживает работают в обоих режимах и есть как UI и реестра уровне способов переключения в профиле пользователя.

Есть также ряд исправлений в этой версии фильтра вопросы, которые были введены в 1.10.1. Это было связано с большим толчком я сделал в этой версии, чтобы поднять все внутренние фильтры до текущей спецификации. Некоторые из этих фильтров в VirtualDub датируются до десяти лет, и вы могли сказать по исходным кодом в предыдущей версии какие фильтры были старше, потому что они были написаны процедурно, опирались на процедуры на ассемблере, не резервный C, или просто были в целом неприятный UI диалогового кода. Я закончил переписывать некоторые из этих фильтров либо с тем чтобы они на 64 или позволить им работать на новейших фильтров API (в отличие от внешних фильтров, все внутренние фильтры всегда в последнюю версию API, который вызвал проблемы). К сожалению, я пропустил несколько проблем преобразования в 1.10.1, которая вызвала несколько фильтров сломать, они должны теперь быть зафиксированы в 1.10.2.

Замечание о построении программы: она может быть немного сложнее построить VirtualDub из-за конфигурации сборки нужно, а потому что есть некоторые старые документы на этом сайте, что мне нужно, чтобы очистить (там никогда не хватает времени). Частью проблемы является то, что я все еще использую Visual Studio 2005 и довольно старый набор SDK, чтобы построить, потому что есть много проблем совместимости в обратном направлении введена с помощью новых компиляторов или SDK. Короче, скорее всего, строить изменение конфигурации, которые люди будут пытаться это использовать VS2010, и если вы попытаетесь это сделать, вы будете иметь больше успеха, чем с 1.10.x 1.9.x. Причина в том, что есть тонна ошибок в VS8 / 9 проект преобразователь в VS2010 и 1.10.x ветвь содержит некоторое смягчение для этих проблем.

Добавить комментарий
  • Название социально сети в России?